net.sourceforge.pmd.cpd

## Class ReportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sourceforge.pmd.cpd.ReportException

All Implemented Interfaces:
  Serializable

    public class ReportException
    extends Exception

Author:
  Philippe T'Seyen
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReportException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReportException

    public ReportException(Throwable cause)